#include <cstring>
#include <iostream>
#include <unistd.h>
#include <cstdio>
#include <cstdlib>
#include <servicelog-1/servicelog.h>

using namespace std;

int main(int argc, char *argv[]) {
	servicelog *errorlog;
	int ret = 0;

	//open servicelog
	ret = servicelog_open(&errorlog,SL_FLAG_ADMIN);
	if ( ret != 0 ){
		cerr << "The service log said : " << servicelog_error(errorlog) << endl;

	}

	sl_event errorEvent;
	memset(&errorEvent, 0, sizeof(sl_event));

	sl_event *pErrorEvent = &errorEvent;

	ret = servicelog_event_query(errorlog, "id>0", &pErrorEvent);

	if ( ret != 0 ){
		cerr << "The service log said : " << servicelog_error(errorlog) << endl;
	}

	if(pErrorEvent)
		servicelog_event_free(pErrorEvent);

	servicelog_close(errorlog);

	return 0;


}


